summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
authorRina Fujino <18257209+rina23q@users.noreply.github.com>2022-06-29 16:00:55 +0200
committerRina Fujino <18257209+rina23q@users.noreply.github.com>2022-06-29 16:00:55 +0200
commit406729d928879bc529b72e71c55ae5f809f43643 (patch)
treef309d1baa40d2585e1a9e2b39382c97ef62ac01a /ci
parente6d235312271643efdc77f8e493eb02fb033de1d (diff)
Port installation step to bash script for amd64
Signed-off-by: Rina Fujino <18257209+rina23q@users.noreply.github.com>
Diffstat (limited to 'ci')
-rwxr-xr-xci/installation_scripts/install_for_amd64.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/ci/installation_scripts/install_for_amd64.sh b/ci/installation_scripts/install_for_amd64.sh
new file mode 100755
index 00000000..32071868
--- /dev/null
+++ b/ci/installation_scripts/install_for_amd64.sh
@@ -0,0 +1,17 @@
+#!/bin/bash -x
+
+set -euo pipefail
+
+PKG_DIR=$1
+
+# Load the package list as $EXTERNAL_AMD64_PACKAGES and $RELEASE_PACKAGES
+source ./ci/package_list.sh
+
+# Install pre-required packages
+sudo apt-get --assume-yes install $(echo "${EXTERNAL_AMD64_PACKAGES[*]}")
+
+# Install thin-edge packages
+for PACKAGE in "${RELEASE_PACKAGES[@]}"
+do
+ sudo dpkg -i ./"$PKG_DIR"/"$PACKAGE"_0.*_amd64.deb
+done